Name:           screem
Version:        0.8.2
Release:        0.fdr.2.1
Epoch:          0
Summary:        A website development enviroment

Group:          Development/Tools
License:        GPL
URL:            http://screem.sourceforge.net/
Source0:        http://download.sourceforge.net/screem/screem-0.8.2.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgnomeprintui22-devel
BuildRequires:  gtksourceview-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  gtkhtml2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  scrollkeeper

%description
SCREEM is a non-WYSIWYG web site development environment with an
advanced editor and easy access to external helper applications such
as CVS.

The editor supports syntax highlighting, spell checking, automatic
closing of open tags, and broken link checking. Page previewing, DTD
parsing, page templates and publishing of files are also supported.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DATADIRNAME=$RPM_BUILD_ROOT%{_datadir} DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

desktop-file-install \
  --delete-original                                        \
  --vendor fedora                                          \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications            \
  --add-category X-Fedora                                  \
  --add-category Application                               \
  --add-category Development                               \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/screem.schemas > /dev/null

%postun
scrollkeeper-update

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING COPYING-DOCS ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libdir}/screem
%{_datadir}/%{name}
%{_datadir}/application-registry
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/gnome/help
%{_datadir}/mime-info
%{_datadir}/omf
%{_datadir}/pixmaps

%changelog
* Mon Oct 20 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:08.2-0.fdr.2
- BuildRequires scrollkeeper.

* Thu Oct  9 2003 Marius L. Johndal <mariuslj at ifi.uio.no> 0:0.8.2-0.fdr.1
- Updated to 0.8.2.

* Wed Sep 17 2003 Marius L. Johndal <mariuslj at ifi.uio.no> 0:0.8.1-0.fdr.1
- Initial RPM release.
